<template>
    <div>
        <b-alert :show="alert_visible" :variant="alert_variant" class="mt-5">
            {{ alert_text }}
        </b-alert>
        <b-row class="my-5">
            <b-card border-variant="primary" class="mx-auto my-5 py-2"
                    style="width: 30rem;">
                <b-card-text class="pt-1 mt-1 mb-5">
                    Bitte melden Sie sich mit Ihrem Mitarbeiterkonto an.
                </b-card-text>
                <b-row class="my-3 mx-auto align-middle">
                    <b-col class="my-auto pl-0" sm="4">
                        <b-label for="input-personalnummer">Personalnummer:</b-label>
                    </b-col>
                    <b-col class="my-auto pr-0" sm="8">
                        <b-form-input id="input-personalnummer" v-model="input_personalnummer" value=""
                                      placeholder="Bitte eingeben"></b-form-input>
                    </b-col>
                </b-row>
                <b-row class="my-3 mx-auto">
                    <b-col class="my-auto pl-0" sm="4">
                        <b-label for="input-passwort">Passwort:</b-label>
                    </b-col>
                    <b-col class="my-auto pr-0" sm="8">
                        <b-form-input id="input-passwort" v-model="input_passwort"
                                      placeholder="* * * * * * * *"></b-form-input>
                    </b-col>
                </b-row>
                <b-button v-on:click="login_abschicken()" href="#" style="font-size: larger;" block variant="primary"
                          class="mt-5">
                    Einloggen
                </b-button>
            </b-card>
        </b-row>
    </div>
</template>

<script>

    import sha1 from "sha1";
    import axios from 'axios';

    export default {
        data: function () {
            return {
                alert_visible: false,
                alert_text: "",
                alert_variant: "",
                input_personalnummer: "",
                input_passwort: "",
            }
        },
        methods: {
            showAlert: function (text, variant) {
                this.alert_visible = true;
                this.alert_text = text;
                this.alert_variant = variant;
            },
            login_abschicken: async function() {
                var inhalt = {
                    "Login": {
                        "Personalnummer": this.input_personalnummer,
                        "PasswordSHA1Hash": sha1(this.input_passwort)
                    }
                };
                var inhalt_json = JSON.stringify(inhalt);
                var url = "http://127.0.0.1:5678/appServer/SessionAnlegen_ErsteSessionAbmeldenBeiMehrerenSessions";
                const {data, status} = await axios.post(url, inhalt_json);
                console.log(data);
                console.log(status);
                if (status !== 200) {
                    this.showAlert(data.Response, "Error")
                } else {
                    this.$store.commit('login', { cid: data.Response.Session.CID, name: data.Response.Session.Mitarbeiter.Vorname+data.Response.Session.Mitarbeiter.Nachname, admin: data.Response.Session.IsAdmin, personalnummer: data.Response.Session.Mitarbeiter.Personalnummer });
                }
            }
        },
    }

</script>